<?php


class YoutubefeedMapper extends Application_Model_Mappers_Abstract {

	protected $_dbTable = 'YoutubefeedDbtable';

	protected $_model   = 'YoutubefeedModel';

	public function save($credo) {
		if(!$credo instanceof $this->_model) {
			throw new Exceptions_SeotoasterException('Given parameter should be ' . $this->_model . ' instance');
		}
		$data = array(
			
            'pageId'              => $credo->getPageId(),
            'thumpWidth'          => $credo->getThumpWidth(),
            'thumbHeight'         => $credo->getThumbHeight(),
            'thumbPerPage'        => $credo->getThumbPerPage(),
            'playerWidth'         => $credo->getPlayerWidth(),
            'playerHeight'        => $credo->getPlayerHeight(),
            'useVideolink'        => $credo->getUseVideolink()
			
		);
        
        $this->deleteID($credo->getPageId());
		$this->getDbTable()->insert($data);
		
				
	}
    public function deleteID($pageId) {
		$where = $this->getDbTable()->getAdapter()->quoteInto("pageId=?", $pageId);
		$this->getDbTable()->delete($where);
	}
    public function selectProperties($pageId) {
		$properties    = $this->fetchAll('pageId = "'.$pageId.'"');
		return $properties;
    }


}

