$(document).ready(function(){
    getThumbs();
});

function getThumbs(start) {
    var url = $('.utubvi_wsurl').val();
    var req = $('#req').val();
    var type = $('#typeSearchYoutube').val();

    $.ajax({
        url        : url + 'plugin/youtubefeed/run/getVideoThumbs/',
        type       : 'post',
        dataType   : 'json',
        data : {
            start: start,
            requestType: type,
            requestStr : req,
            pageId:$('.pageId').val(),
            random:$('.random-youtube').val()

        },
        beforeSend : function() {
            $('#utubvi_thumbs').addClass('proccess');
            $('#utubvi_thumbs').html('Loading...');
        },
        success : function(data) {
            $('#utubvi_thumbs').html(data.content);
        },
        complete: function() {
            $('#utubvi_thumbs').removeClass('proccess');
        }
    })
}

function runvideo(vId) {
    var url = $('.utubvi_wsurl').val();
    $.ajax({
        url        : url + 'plugin/youtubefeed/run/getPlayer/',
        type       : 'post',
        dataType   : 'json',
        data : {
                videoId : vId,
                pageId:$('.pageId').val()
        },
        beforeSend : function() {
            $('#utubvi_player').addClass('proccess');
            $('#utubvi_player').html('Loading...');
        },
        success : function(data) {
            $('#utubvi_player').html(data.content);
        },
        complete: function() {
            $('#utubvi_player').removeClass('proccess');
        }
    })
}